Skip to main content
GET
List child transaction links
Authentication: API key OAuth 2.0
Scope: organization.read Sensitive
Use this endpoint to drill down into linked transactions. For example, list DDC repayment installment transactions from a deferred debit card repayment transaction on the main account. You can filter results by link type and paginate the response using the query parameters below.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

UUID of the parent transaction.

Example:

"7b7a5ed6-3903-4782-889d-b4f64bd7bef9"

Query Parameters

Filter links by type. When omitted, all link types are returned.

Possible values:

  • ddc_repayment: a deferred debit card repayment installment linked to a repayment transaction
  • related_fee: a fee transaction related to the parent transaction
  • merged_fee: a merged fee transaction related to the parent transaction
Available options:
ddc_repayment,
related_fee,
merged_fee
page
string

Returned page (cf. Pagination).

per_page
string

Number of links per page (cf. Pagination).

Response

Returns child transaction links for the transaction identified by the id path parameter.

meta
object

Metadata for paginated responses